NIB-DIFF(1)

NAME
nib-diff - Python3 bindings to various neuroimaging data formats

SYNOPSIS
nib-diff [OPTIONS] [FILE ...]

DESCRIPTION
Quick summary of the differences among a set of neuroimaging files

  Notes:

    - difference in data types for header fields will be detected, but

    endianness difference will not be detected. It is done so to compare files with native endianness used in data files.

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-v, --verbose
    Make more noise. Could be specified multiple times

-H HEADER_FIELDS, --header-fields=HEADER_FIELDS
    Header fields (comma separated) to be printed as well (if present)

--ma=DATA_MAX_ABS_DIFF, --data-max-abs-diff=DATA_MAX_ABS_DIFF
    Maximal absolute difference in data between files to tolerate.

--mr=DATA_MAX_REL_DIFF, --data-max-rel-diff=DATA_MAX_REL_DIFF
    Maximal relative difference in data between files to tolerate. If --data-max-abs-diff is also specified, only the data points with absolute difference greater than that value would be considered for relative difference check.

--dt=DTYPE, --datatype=DTYPE
    Enter a numpy datatype such as 'float32'.

AUTHOR
 This manpage was written by Nilesh Patra for the Debian distribution and
 can be used for any other usage of the program.